Crazy Eddies GUI System: CEGUI::DirectX81Texture Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::DirectX81Texture Class Reference

Texture class that is created by DirectX81Renderer objects. More...

Inheritance diagram for CEGUI::DirectX81Texture:

[legend]
Collaboration diagram for CEGUI::DirectX81Texture:

[legend]
List of all members.

## Public Member Functions
virtual ushort | getWidth (void) const
| Returns the current pixel width of the texture.
virtual ushort | getHeight (void) const
| Returns the current pixel height of the texture.
virtual void | loadFromFile (const String &filename, const String &resourceGroup)
| Loads the specified image file into the texture. The texture is resized as required to hold the image.
virtual void | loadFromMemory (const void *buffPtr, uint buffWidth, uint buffHeight)
| Loads (copies) an image in memory into the texture. The texture is resized as required to hold the image.
LPDIRECT3DTEXTURE8 | getD3DTexture (void) const
| Return a pointer to the internal Direct3DTexture8 object.
void | setD3DTextureSize (uint size)
| set the size of the internal D3D texture. Previous D3D texture is lost.
virtual void | preD3DReset (void)
| Direct3D support method that must be called prior to a Reset call on the Direct3DDevice; this is required so that the GUI renderer can release any unmanaged D3D resources as needed for the device reset to succeed.
virtual void | postD3DReset (void)
| Direct3D support method that must be called after a Reset call on the Direct3DDevice; this is required so that the GUI renderer can rebuild any unmanaged D3D resources after the device has been reset.
## Friends
Texture * | DirectX81Renderer::createTexture (void)
Texture * | DirectX81Renderer::createTexture (const String &filename, const String &resourceGroup)
Texture * | DirectX81Renderer::createTexture (float size)
void | DirectX81Renderer::destroyTexture (Texture *texture)

## Detailed Description

Texture class that is created by DirectX81Renderer objects.

## Member Function Documentation

LPDIRECT3DTEXTURE8 CEGUI::DirectX81Texture::getD3DTexture | ( | void |  | ) | const`[inline]`

| Return a pointer to the internal Direct3DTexture8 object. Returns: Pointer to the IDirect3DTexture8 interface currently being used by this Texture object

virtual ushort CEGUI::DirectX81Texture::getHeight | ( | void |  | ) | const`[inline, virtual]`

| Returns the current pixel height of the texture. Returns: ushort value that is the current height of the texture in pixels Implements CEGUI::Texture.

virtual ushort CEGUI::DirectX81Texture::getWidth | ( | void |  | ) | const`[inline, virtual]`

| Returns the current pixel width of the texture. Returns: ushort value that is the current width of the texture in pixels Implements CEGUI::Texture.

void CEGUI::DirectX81Texture::loadFromFile | ( | const String & | filename,
|  | const String & | resourceGroup
| ) | `[virtual]`

  | Loads the specified image file into the texture. The texture is resized as required to hold the image. Parameters:
  | filename | The filename of the image file that is to be loaded into the texture
  | resourceGroup | Resource group identifier passed to the resource provider.
Returns: Nothing. Implements CEGUI::Texture.

void CEGUI::DirectX81Texture::loadFromMemory | ( | const void * | buffPtr,
|  | uint | buffWidth,
|  | uint | buffHeight
| ) | `[virtual]`

  | Loads (copies) an image in memory into the texture. The texture is resized as required to hold the image. Parameters:
  | buffPtr | Pointer to the buffer containing the image data
  | buffWidth | Width of the buffer (in 0xAARRGGBB pixels)
  | buffHeight | Height of the buffer (in 0xAARRGGBB pixels)
Returns: Nothing. Implements CEGUI::Texture.

void CEGUI::DirectX81Texture::postD3DReset | ( | void |  | ) | `[virtual]`

| Direct3D support method that must be called after a Reset call on the Direct3DDevice; this is required so that the GUI renderer can rebuild any unmanaged D3D resources after the device has been reset. Note: You do not need to call this on DirectX81Texture objects created via the DirectX81Renderer object; for such textures the method is called by the system when you call the DirectX81Renderer::postD3DReset method.

void CEGUI::DirectX81Texture::preD3DReset | ( | void |  | ) | `[virtual]`

| Direct3D support method that must be called prior to a Reset call on the Direct3DDevice; this is required so that the GUI renderer can release any unmanaged D3D resources as needed for the device reset to succeed. Note: You do not need to call this on DirectX81Texture objects created via the DirectX81Renderer object; for such textures the method is called by the system when you call the DirectX81Renderer::preD3DReset method.

void CEGUI::DirectX81Texture::setD3DTextureSize | ( | uint | size | ) |

  | set the size of the internal D3D texture. Previous D3D texture is lost. Parameters:
  | size | pixel size of the new internal texture. This will be rounded up to a power of 2.
Returns: Nothing.